/*
 * @Author: Gui
 * @Date: 2023-03-01 19:20:44
 * @LastEditors:
 * @LastEditTime: 2023-04-07 15:13:11
 * @Description: kxs files
 * @filePath:
 */
import { $t } from "@/plugins/i18n";
import { home } from "@/router/enums";
const Layout = () => import("@/layout/index.vue");
0
export default {
  path: "/",
  name: "Home",
  component: Layout,
  redirect: "/welcome",
  meta: {
    icon: "homeFilled",
    title: $t("menus.hshome"),
    keepAlive: true,
    rank: home
  },
  children: [
    {
      path: "/welcome",
      name: "Welcome",
      component: () => import("@/views/welcome/index.vue"),
      meta: {
        title: $t("menus.hshome"),
        keepAlive: true
      }
    }
  ]
} as RouteConfigsTable;
