/*
 * @Author: guicheng 1625811865@qq.com
 * @Date: 2024-06-21 11:11:08
 * @LastEditors: guicheng 1625811865@qq.com
 * @LastEditTime: 2024-06-21 11:55:32
 * @FilePath: /admin-skb/src/utils/importUsed.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */

import { inject, reactive, ref, onMounted } from "vue";
import Uploadfile from "@/components/Uploadfile/index.vue";
import UploadImg from "@/components/UploadImg/index.vue";
import Editor from "@/components/Editor/index.vue";
import { useRenderIcon } from "@/components/ReIcon/src/hooks";
import { ElMessage, ElMessageBox } from "element-plus";
import Upload from "@iconify-icons/ri/upload-2-fill";
import Close from "@iconify-icons/ri/close-fill";
import { http } from "@/utils/http";
import { getGroupUrl } from "@/utils/getUrl/getUrl";
import verification, { RegularVerification } from "./rules";
import { type PaginationProps } from "@pureadmin/table";
import { hasAuth } from "@/router/utils";
import { PureTableBar } from "@/components/RePureTableBar";

export { inject, onMounted, reactive, ref, Uploadfile, UploadImg, Editor, useRenderIcon, ElMessage, ElMessageBox, Upload, Close, http, getGroupUrl, RegularVerification, verification, PaginationProps, hasAuth, PureTableBar }